Using Apache Struts version 1.2.9 I installed it in Apache Tomcat and clicked all the links in all of the Struts examples pages in order to create a list of loaded classes. I then used the perl scripts from JIRA issue 565 (http://issues.apache.org/jira/browse/HARMONY-565) to compare the list to the list of available classes in r412002.

Here is the list of classes that I think will be needed to be able to run Struts in Tomcat:

java/awt/AWTPermission
java/awt/GraphicsEnvironment
java/awt/MenuContainer
java/awt/Panel
java/awt/image/ImageObserver
javax/accessibility/Accessible

Apache_Struts (last edited 2009-09-20 21:55:27 by localhost)